
Auto Multiple Choice - Bug # 337: Fin de ligne après fin de question

Status: WontFix Priority: Normal
Author: Nicolas Richard Category:
Created: 01/08/2015 Assignee:
Updated: 02/07/2021 Due date:
Description: Je suggère que l'environnement question "passe à la ligne". Pour une raison qui m'échappe, le minipage 

semble laisser encore un peu de place et il m'est arrivé que la question suivante se "coince" sur le côté droit 
de la page, quasiment invisible car hors de la page. Je n'ai plus l'ECM sous la main, mais je dois pouvoir en 
refaire un si nécessaire.

<pre>
diff -u --label /home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in --label 
\#\<buffer\ automultiplechoice.dtx.in\> 
/home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in /tmp/buffer-content-28365p9y
--- /home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in
+++ #<buffer automultiplechoice.dtx.in>
@@ -2810,7 +2810,7 @@
   \fi%
   \AMCformulaire@dedansfalse\setcounter{AMC@ncase}{0}%
   \AMCmem@ireQ{\arabic{AMCquestionaff}}{\the\AMCid@quest}}%
-{\ifAMC@qbloc\end{minipage}\vspace{\AMCinterBquest}\else\vspace{\AMCinterIquest}\fi\AMCmessage{FQ}
}
+{\ifAMC@qbloc\end{minipage}\par\vspace{\AMCinterBquest}\else\vspace{\AMCinterIquest}\fi\AMCmessage{
FQ}}
 \newenvironment{questionmult}[1]{{"{"}}%
   \AMCune@bonnefalse\begin{question}[{{\multiSymbole}}]{#1}%
   \AMCtype@multitrue\ifAMC@calibration%
</pre>

History
01/09/2015 10:33 pm - Alexis Bienvenüe
> Je n'ai plus l'ECM sous la main, mais je dois pouvoir en refaire un si nécessaire. 
Oui, s'il vous plaît.

01/09/2015 10:39 pm - Alexis Bienvenüe
- Description changed from Je suggÃ¨re que l'environnement question "passe Ã  la ligne". Pour une raison qui m'Ã©chappe, le minipage semble 
laisser encore un peu de place et il m'est arrivÃ© que la question suivante se "coince" sur le cÃ´tÃ© droit de la page, quasiment invisible car hors de la 
page. Je n'ai plus l'ECM sous la main, mais je dois pouvoir en refaire un si nÃ©cessaire.

<pre>
diff -u --label /home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in --label \#\<buffer\ automultiplechoice.dtx.in\> 
/home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in /tmp/buffer-content-28365p9y
--- /home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in
+++ #<buffer automultiplechoice.dtx.in>
@@ -2810,7 +2810,7 @@
   \fi%
   \AMCformulaire@dedansfalse\setcounter{AMC@ncase}{0}%
   \AMCmem@ireQ{\arabic{AMCquestionaff}}{\the\AMCid@quest}}%
-{\ifAMC@qbloc\end{minipage}\vspace{\AMCinterBquest}\else\vspace{\AMCinterIquest}\fi\AMCmessage{FQ}}
+{\ifAMC@qbloc\end{minipage}\par\vspace{\AMCinterBquest}\else\vspace{\AMCinterIquest}\fi\AMCmessage{FQ}}
 \newenvironment{questionmult}[1]{%
   \AMCune@bonnefalse\begin{question}[{{\multiSymbole}}]{#1}%
   \AMCtype@multitrue\ifAMC@calibration%
</pre>
 to Je suggÃ¨re que l'environnement question "passe Ã  la ligne". Pour une raison qui m'Ã©chappe, le minipage semble laisser encore un peu de place 
et il m'est arrivÃ© que la question suivante se "coince" sur le cÃ´tÃ© droit de la page, quasiment invisible car hors de la page. Je n'ai plus l'ECM sous 
la main, mais je dois pouvoir en refaire un si nÃ©cessaire.

<pre>
diff -u --label /home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in --label \#\<buffer\ automultiplechoice.dtx.in\> 
/home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in /tmp/buffer-content-28365p9y
--- /home/youngfrog/sources/auto-multiple-choice/doc/sty/automultiplechoice.dtx.in
+++ #<buffer automultiplechoice.dtx.in>
@@ -2810,7 +2810,7 @@
   \fi%
   \AMCformulaire@dedansfalse\setcounter{AMC@ncase}{0}%
   \AMCmem@ireQ{\arabic{AMCquestionaff}}{\the\AMCid@quest}}%
-{\ifAMC@qbloc\end{minipage}\vspace{\AMCinterBquest}\else\vspace{\AMCinterIquest}\fi\AMCmessage{FQ}}
+{\ifAMC@qbloc\end{minipage}\par\vspace{\AMCinterBquest}\else\vspace{\AMCinterIquest}\fi\AMCmessage{FQ}}
 \newenvironment{questionmult}[1]{{"{"}}%
   \AMCune@bonnefalse\begin{question}[{{\multiSymbole}}]{#1}%
   \AMCtype@multitrue\ifAMC@calibration%
</pre>

01/10/2015 07:37 pm - Nicolas Richard
Voici un exemple :

<pre>
\documentclass{article}%
\usepackage[bloc]{automultiplechoice}%AMC
\begin{document}
\begin{copieexamen}[1]
  \begin{question}{bar}
    Can you answer ?
    \AMCOpen{}{\bonne{oui}\mauvaise{non}}
  \end{question}% <- il suffit d'enlever le commentaire pour que ça marche
  \begin{question}{foo}
    Can you answer ?
    \AMCOpen{}{\bonne{oui}\mauvaise{non}}
  \end{question}
\end{copieexamen}
\end{document}
</pre>

ou, via des "\element" :

<pre>
\documentclass{article}%
\usepackage[bloc]{automultiplechoice}%AMC
\element{open}{{ "{" }}%
  \begin{question}{foo}
    Can you answer ?
    \AMCOpen{}{\bonne{oui}\mauvaise{non}}
  \end{question}}
\element{open}{{ "{" }}%
  \begin{questionmult}{bar}
    Can you answer ?
    \AMCOpen{}{\bonne{oui}\mauvaise{non}}
  \end{questionmult}}
\begin{document}
\begin{copieexamen}[1]
\restituegroupe{open}
\end{copieexamen}
\end{document}
</pre>

02/07/2021 02:22 pm - Alexis Bienvenüe
- Status changed from New to WontFix
